import { ServiceService } from "./service.service";
export declare class ServiceController {
    private readonly ServiceService;
    constructor(ServiceService: ServiceService);
    findActive(): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/service/service.entity").Service[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/service/service.entity").Service;
    }>;
    findCategoryService(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/service/service.entity").Service[];
    }>;
}
